import { Component, ViewEncapsulation, NO_ERRORS_SCHEMA } from '@angular/core';
import '@grapecity/spread-sheets-designer-resources-en';
import { config } from "./config";

(config as any).commandMap = {
  saveDB: {
    title: "saveDB",
    text: "saveDB",
    iconClass: "thumbnail-save-db",
    bigButton: "true",
    commandName: "saveDB",
    execute: async (context, propertyName, fontItalicChecked) => {
      alert('Welcome to new designer.');
    }
  }
};

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
  encapsulation: ViewEncapsulation.None,
})
export class AppComponent {
  title = 'en';
  props = {
    styleInfo: "width: 100%; height: 100%",
    config: config
  };

  designerInit(args) {
    console.log(args);
  }
}
